//+------------------------------------------------------------------+
//|                                                CheckSellStop.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.ru/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://forum.mql4.com/ru/7509"

//---- input parameters
extern int       DayS=15;
extern int       MonthS=3;
extern int       YearS=2007;
extern int       HourS=14;
extern int       MinuteS=45;
extern int       CounterS=20;
extern double    SellStopPrice=1.9348;
extern double    StopTesting;
int counter;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   StopTesting=SellStopPrice;   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   if (counter>CounterS) return;
   
   if (Year()<2006) return;
   if (Month()<MonthS) return;
   if (Day()<DayS) return;
   if (Hour()<HourS) return;
   if (Minute()<MinuteS) return;
   if (OrdersTotal()==0) OrderSend(Symbol(),OP_SELLSTOP,0.1,SellStopPrice,3,0,0,"Sell Stop",0,0,Red);
   Print("My time frame   "," Open=",Open[0],"  High=",High[0],"   Low=",Low[0],"  Close=",Close[0],"  Volume=",Volume[0],"  Bid=",Bid);
   Print("30 minute frame "," Open=",iOpen(NULL,PERIOD_M30,0),"  High=",iHigh(NULL,PERIOD_M30,0),"   Low=",iLow(NULL,PERIOD_M30,0),"  Close=",iClose(NULL,PERIOD_M30,0),"  Volume=",iVolume(NULL,PERIOD_M30,0),"  Bid=",Bid);
   Print("1 hour frame    "," Open=",iOpen(NULL,PERIOD_H1,0),"  High=",iHigh(NULL,PERIOD_H1,0),"   Low=",iLow(NULL,PERIOD_H1,0),"  Close=",iClose(NULL,PERIOD_H1,0),"  Volume=",iVolume(NULL,PERIOD_H1,0),"  Bid=",Bid);
   Print("4 hour frame    "," Open=",iOpen(NULL,PERIOD_H4,0),"  High=",iHigh(NULL,PERIOD_H4,0),"   Low=",iLow(NULL,PERIOD_H4,0),"  Close=",iClose(NULL,PERIOD_H4,0),"  Volume=",iVolume(NULL,PERIOD_H4,0),"  Bid=",Bid);

   counter++;  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+